Subject: Re: [RFC PATCH 00/12] RCU'ify the net:sched classifier chains

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 12 Jan 2014 08:57:32 -0500

On 01/12/14 08:28, Jamal Hadi Salim wrote:

> I will scan through the patches...
>

I looked and here's a general question:
Does even using RCU make any sense here? What we have
is a lot of updates and very very little reads (reads essentially
are done from the control side; the data path is is all about updates).

I am not sure if RCU is a win in such a case - it could make things
worse. At least that used to be the Truth(tm) many moons back.
Is that not the case anymore?

cheers,
jamal

> This is fun stuff - I will try to participate whenever i can
> (unfortunately not much time at the moment).
>